Subject: Re: [PATCH v2] t: allow use of "sed -E"

From: Todd Zullinger <[email-masked]>
Date: Sat, 14 Mar 2026 19:16:42 -0400

brian m. carlson wrote:
> so this appears to be reasonably well supported across major open source
> distributions.  The irony is that Linux is most likely the OS holding us
> back here, since older versions labeled this `-r` and the newer `-E`
> wasn't available in Ubuntu 16.04.  I myself only recently learned about
> the fact that `-E` had been officially standardized, since I'd been
> using `-r` for a long time.

IIRC, GNU sed supported -E for a very long time before it
was documented.  In a quick search, I see it added in v4.1a,
in commit 3a8e165 (treat cygwin CR/LF correctly (and by
design, not by chance), 2006-08-07).

https://cgit.git.savannah.gnu.org/cgit/sed.git/diff/sed/sed.c?id=3a8e165

-- 
Todd